#include "IoState.h"
#include "IoObject.h"

IoObject *IoVorbisBlock_proto(void *state);
IoObject *IoVorbisComment_proto(void *state);
IoObject *IoVorbisDspState_proto(void *state);
IoObject *IoVorbisInfo_proto(void *state);

void IoVorbisInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("VorbisBlock"), IoVorbisBlock_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("VorbisComment"), IoVorbisComment_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("VorbisDspState"), IoVorbisDspState_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("VorbisInfo"), IoVorbisInfo_proto(self));

}
